#ifndef PATIENTINFORMATIONFORM_H
#define PATIENTINFORMATIONFORM_H

#include <QWidget>
#include "editpatientform.h"
namespace Ui {
class PatientInformationForm;
}

class PatientInformationForm : public QWidget
{
    Q_OBJECT

public:
    explicit PatientInformationForm(QWidget *parent = nullptr);
    ~PatientInformationForm();
    void setPatientInformation(PatientInformation* information);
    void setProtocol(int type);
    const char * getCurrentPatientJsonString(bool emptyScan);
private:
    Ui::PatientInformationForm *ui;
    PatientInformation* inf = nullptr;
    int currentProtocol = 0;
    char * jsonstr = nullptr;
};

#endif // PATIENTINFORMATIONFORM_H
